Summary: e-smith server and gateway
Name: e-smith
%define version 4.2.0
%define release 9
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Prereq: /usr/sbin/useradd
AutoReqProv: no

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 4.2.0-08
- Bump release number only

* Fri Jan 14 2005 Charlie Brady <charlieb@e-smith.com> 4.2.0-07
- Re-add user and group creation. [MN00063589]

* Fri Aug 17 2001 gordonr
- [4.2.0-06]
- Autorebuild by rebuildRPM

* Fri Jul 27 2001 Charlie Brady <charlieb@e-smith.com>
- [4.2.0-05]
- Put defattr directive in the right spot.

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [4.2.0-04]
- Including GPL license with package

* Fri May 04 2001 Jason Miller <jmiller@e-smith.com>
- [4.2.0-03]
- Commenting out the harmful 'useradd' part of %pre section 

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- [4.2.0-02]
- Rolling release number for GPG signing.

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [4.2.0-01]
- Rolled version to 4.2.0 to indicate a stable release. Includes patches
  upto 4.1.0-1

* Wed Dec  6 2000 Adrian Chung <adrianc@e-smith.com>
- Branched for 4.1 release to 4.1.0

* Mon Oct 16 2000 Charlie Brady <charlieb@e-smith.com>
- Need to add www user before trying to add admin user to 
  group www.

* Mon Oct 16 2000 Charlie Brady <charlieb@e-smith.com>
- Add %pre clause to add admin, www etc.

%description
e-smith server and gateway software. This is an empty
RPM provided so that upgrading e-smith 3.x -> e-smith 4.x
can work. Contents are now included in e-smith-base RPM.

%prep
%setup
#%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

%pre
#--------------------------------------------------
# add admin, public and www user accounts
#--------------------------------------------------
/usr/sbin/groupadd \
  -g 500 shared 2>/dev/null || :
/usr/sbin/useradd \
  -u 102 -c 'e-smith web server' -d /home/e-smith \
  -G shared -M -s /bin/false www 2>/dev/null || :
/usr/sbin/useradd \
  -u 101 -c 'e-smith administrator' -d /home/e-smith \
  -G shared,root,www -M -s /sbin/e-smith/console admin 2>/dev/null || :
/usr/sbin/useradd \
  -u 103 -c 'e-smith guest' -d /home/e-smith \
  -G shared -M -s /bin/false public 2>/dev/null || :
/usr/sbin/useradd \
  -u 1002 -c 'sme log user' -d /var/log/smelog \
  -M -s /bin/false smelog 2>/dev/null || :

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
